org.eclipse.cdt.utils.elf.parser

## Class ElfBinaryArchive

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.elf.parser.ElfBinaryArchive

All Implemented Interfaces:
  IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryFile, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  GNUElfBinaryArchive

    public class ElfBinaryArchive
    extends BinaryFile
    implements IBinaryParser.IBinaryArchive

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`ElfBinaryArchive(IBinaryParser parser, org.eclipse.core.runtime.IPath p)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `addArchiveMembers(AR.ARHeader[] headers, ArrayList children)` Deprecated. use `#createArchiveMembers(ARHeader[])`
`protected IBinaryParser.IBinaryObject[]` `createArchiveMembers(AR.ARHeader[] headers)`
`IBinaryParser.IBinaryObject[]` `getObjects()`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### ElfBinaryArchive

    public ElfBinaryArchive(IBinaryParser parser,
                            org.eclipse.core.runtime.IPath p)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### getObjects

    public IBinaryParser.IBinaryObject[] getObjects()

Specified by:
  `getObjects` in interface `IBinaryParser.IBinaryArchive`

#### createArchiveMembers

    protected IBinaryParser.IBinaryObject[] createArchiveMembers(AR.ARHeader[] headers)

#### addArchiveMembers

    @Deprecated
    protected void addArchiveMembers(AR.ARHeader[] headers,
                                                 ArrayList children)

Deprecated. use `#createArchiveMembers(ARHeader[])`